import java.util.*;
import java.lang.*;
import java.io.*;

class refTest{
     public static void main (String args[]) throws IOException
     {
     ref r1=new ref("R22");
     System.out.println(r1.rd.toString());
     System.out.println(r1.readGasNames());
     //double t=10.0;
     double p=r1.Ps(0.0);
     double t=0.0;
     System.out.println("p="+p);
     double x=1.0; 
     double a[]=r1.property("tx",t,x);
     for(int i=0;i<0;i++)   
        System.out.println(a[i]);
     double v=r1.v_tx(t,x);
     System.out.println("v = "+v);
     double v4=r1.vg_app(t);
     System.out.println("v_app = "+v4);
     double v5=r1.vsg_t(t);
      System.out.println("vsg_t = "+v5);
      double v6=r1.vsl_t(t);
      System.out.println("vsl_t = "+v6);
     double h1=r1.hsg_t(t);
     System.out.println("hg = "+h1);
     double h2=r1.hsl_t(t);
     System.out.println("hl = "+h2);
     double h3=r1.hslg_t(t);
     System.out.println("hlg = "+h3);
     //double h4=r1.hslg_t1(t);
     //System.out.println("h4 = "+h4);
     double s1=r1.ssg_t(t);
     System.out.println("sg = "+s1);
     double s2=r1.ssl_t(t);
     System.out.println("sl = "+s2);
     double s3=r1.sslg_t(t);
     System.out.println("slg = "+s3);
     //double s4=r1.sslg_t1(t);
     //System.out.println("h4 = "+h4);
     double v2=r1.vsg_t(t);
     double v1=r1.vsl_t(t);
     System.out.println("v1 = "+v1+"v2="+v2);
     double dp=r1.dPsdT(t);
     System.out.println("dP = "+dp);
     for(t=-100;t<111;t+=1)
       System.out.println(t+" "+r1.Ps(t)+" "+r1.vsl_t(t)+" "+r1.vsg_t(t));
     r1=new ref("R12");
          System.out.println(r1.rd.toString());
     System.out.println(r1.readGasNames());
     //double t=10.0;
     p=r1.Ps(0.0);
     t=0.0;
     System.out.println("p="+p);
     x=1.0; 
     a=r1.property("tx",t,x);
     for(int i=0;i<0;i++)   
        System.out.println(a[i]);
     v=r1.v_tx(t,x);
     System.out.println("v = "+v);
     v4=r1.vg_app(t);
     System.out.println("v_app = "+v4);
     v5=r1.vsg_t(t);
      System.out.println("vsg_t = "+v5);
     v6=r1.vsl_t(t);
      System.out.println("vsl_t = "+v6);
     h1=r1.hsg_t(t);
     System.out.println("hg = "+h1);
     h2=r1.hsl_t(t);
     System.out.println("hl = "+h2);
     h3=r1.hslg_t(t);
     System.out.println("hlg = "+h3);
     //double h4=r1.hslg_t1(t);
     //System.out.println("h4 = "+h4);
     s1=r1.ssg_t(t);
     System.out.println("sg = "+s1);
     s2=r1.ssl_t(t);
     System.out.println("sl = "+s2);
     s3=r1.sslg_t(t);
     System.out.println("slg = "+s3);
     //double s4=r1.sslg_t1(t);
     //System.out.println("h4 = "+h4);
     v2=r1.vsg_t(t);
     v1=r1.vsl_t(t);
     System.out.println("v1 = "+v1+"v2="+v2);
     dp=r1.dPsdT(t);
     System.out.println("dP = "+dp);
     for(t=-100;t<111;t+=1)
       System.out.println(t+" "+r1.Ps(t)+" "+r1.vsl_t(t)+" "+r1.vsg_t(t));  
    }
}
